Skip to main content
Compute Management/Data Center Related Interfaces
PUTData Center Related InterfacesSince 0.6SynchronousAuth Required

Change Data Center Availability State

Change Data Center Availability State

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    Resource UUID, uniquely identifies the resource

Body Fields

  • changezonestateObjectRequired

    changezonestate request body object.

    • stateEventStringRequired

      State trigger event

  • systemTagsList

    System tag

  • userTagsList

    User tag

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. If null, the operation succeeded. See details error

    • codeStringRequired

      Error code number, globally unique identifier of the error, e.g. SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, default is null

    • opaqueLinkedHashMapRequired

      Reserved field, default is null

    • causeErrorCodeRequired

      Root cause, the error that caused the current error. If there is no original error, this field is null

  • inventoryZoneInventoryRequired

    See details inventory

    • uuidStringRequired

      Resource UUID, uniquely identifies the resource

    • nameStringRequired

      Resource name

    • descriptionStringRequired

      Resource description

    • stateStringRequired

      当前状态。

    • typeStringRequired

      类型。

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

Endpoint

PUT/zstack/v1/zones/{uuid}/actions

/zstack/v1/zones/{uuid}/actions

Operation ID

ChangeZoneState

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/zones/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changezonestate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "5ea6fdd8a3a24fa2b17b1b89ad29da6b", "name": "TestZone", "description": "Test", "state": "Enabled", "type": "zstack", "createDate": "Jun 7, 2017 9:21:08 PM", "lastOpDate": "Jun 7, 2017 9:21:08 PM" } }

Change History

This API has no change history records yet.

View all change history